<div align="center">
  <h1>Dish</h1>
</div>

<div align="center">
  <strong>Templates for JavaScript application</strong>
</div>

[![Build Status](https://travis-ci.org/abouthiroppy/dish.svg?branch=master)](https://travis-ci.org/abouthiroppy/dish)
[![Build status](https://ci.appveyor.com/api/projects/status/ahewo9cbfqh69nuw?svg=true)](https://ci.appveyor.com/project/abouthiroppy/dish)
[![codecov](https://codecov.io/gh/abouthiroppy/dish/branch/master/graph/badge.svg)](https://codecov.io/gh/abouthiroppy/dish)
[![npm version](https://badge.fury.io/js/my-dish.svg)]()
[![license](https://img.shields.io/github/license/mashape/apistatus.svg)]()

## What's Dish?
`dish` command to scaffold complete projects.

## Usage

```shell
$ npm install -g my-dish
$ dish <project-directory>
$ cd <project-directory>
$ enjoy it!
```

## Included templates
- [Web Application with React](./templates/react-application)
- [Web Application with React and Redux](./templates/react-redux-application)
- [React Library](./templates/react-library)
- [CLI](./templates/cli)
- [Plain](./templates/plain)

## Feature
### Web Application
#### JavaScript
Use the latest technology!
- es2015, es2016, es2017 and stage-1 of `babel`.
- flowtype
- webpack@beta
- react-hot-loader@next
- redux
- immutable
- reselect
- axios
- redux-devtools
- jest
- enzyme

#### CSS
Use postcss and [cssnext](http://cssnext.io/)!
- postcss-cssnext
- postcss-mixins
- postcss-reporter
- postcss-smart-import
- postcss-browser-reporter

## CHANGELOG
See the [CHANGELOG.md](./CHANGELOG.md).
